libzypp: zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType > Struct Template Reference

libzypp 17.36.6

Public Types | Public Member Functions | Protected Attributes | List of all members
zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType > Struct Template Reference
Inheritance diagram for zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >:

## Public Types
using | ZyppContextRefType = MaybeAsyncContextRef<OpType>
using | ZyppContextType = remove_smart_ptr_t<ZyppContextRefType>
using | ProvideType = typename ZyppContextType::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
using | ProvideRes = typename ProvideType::Res
Public Types inherited from zyppng::LogicBase< Executor, OpType >
using | ExecutorType = Executor
using | Result = typename OpType::value_type
Public Types inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
using | MaybeAsyncRef

## Public Member Functions
| ZYPP_ENABLE_LOGIC_BASE (Executor, OpType)
| CheckSumWorkflowLogic (ZyppContextRefType zyppContext, zypp::CheckSum &&checksum, zypp::Pathname file)
auto | execute ()
Public Member Functions inherited from zyppng::LogicBase< Executor, OpType >
| LogicBase ()
virtual | ~LogicBase ()
Executor * | executor ()

## Protected Attributes
ZyppContextRefType | _context
DigestReportHelper< ZyppContextRefType > | _report
zypp::CheckSum | _checksum
zypp::Pathname | _file

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::LogicBase< Executor, OpType >
template<typename ... Args, typename FOpType = OpType>
static std::enable_if_t< detail::is_async_op_v< FOpType >, AsyncOpRef< Result > > | run (Args &&...args)
template<typename ... Args, typename FOpType = OpType>
static std::enable_if_t< !detail::is_async_op_v< FOpType >, Result > | run (Args &&...args)
Static Public Attributes inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
static constexpr bool | is_async
Protected Member Functions inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
auto | makeReadyResult (T &&res)

## Detailed Description

template<class Executor, class OpType>
struct zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >

Definition at line 34 of file checksumwf.cc.

## Member Typedef Documentation

## ◆ ZyppContextRefType

template<class Executor, class OpType>

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::ZyppContextRefType = MaybeAsyncContextRef<OpType>

Definition at line 38 of file checksumwf.cc.

## ◆ ZyppContextType

template<class Executor, class OpType>

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::ZyppContextType = remove_smart_ptr_t<ZyppContextRefType>

Definition at line 39 of file checksumwf.cc.

## ◆ ProvideType

template<class Executor, class OpType>

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::ProvideType = typename ZyppContextType::ProvideType

Definition at line 40 of file checksumwf.cc.

## ◆ MediaHandle

template<class Executor, class OpType>

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::MediaHandle = typename ProvideType::MediaHandle

Definition at line 41 of file checksumwf.cc.

## ◆ ProvideRes

template<class Executor, class OpType>

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::ProvideRes = typename ProvideType::Res

Definition at line 42 of file checksumwf.cc.

## Constructor & Destructor Documentation

## ◆ CheckSumWorkflowLogic()

template<class Executor, class OpType>

zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::CheckSumWorkflowLogic | ( | ZyppContextRefType | zyppContext,
|  | zypp::CheckSum && | checksum,
|  | zypp::Pathname | file )
| inline

Definition at line 44 of file checksumwf.cc.

## Member Function Documentation

## ◆ ZYPP_ENABLE_LOGIC_BASE()

template<class Executor, class OpType>

zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::ZYPP_ENABLE_LOGIC_BASE | ( | Executor | ,
|  | OpType | )

## ◆ execute()

template<class Executor, class OpType>

auto zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::execute | ( |  | ) |
| inline

Definition at line 51 of file checksumwf.cc.

## Member Data Documentation

## ◆ _context

template<class Executor, class OpType>

ZyppContextRefType zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::_context
| protected

Definition at line 108 of file checksumwf.cc.

## ◆ _report

template<class Executor, class OpType>

DigestReportHelper<ZyppContextRefType> zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::_report
| protected

Definition at line 109 of file checksumwf.cc.

## ◆ _checksum

template<class Executor, class OpType>

zypp::CheckSum zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::_checksum
| protected

Definition at line 110 of file checksumwf.cc.

## ◆ _file

template<class Executor, class OpType>

zypp::Pathname zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >::_file
| protected

Definition at line 111 of file checksumwf.cc.

The documentation for this struct was generated from the following file:

- zypp/ng/workflows/checksumwf.cc